a {
  color: #337ab7;
}
p {
  margin-top: 1rem;
}
a:hover {
  color:#23527c;
}
a:visited {
  color: #8d75a3;
}

body {
	line-height: 1.5;
	font-family: sans-serif;
	word-wrap: break-word;
	overflow-wrap: break-word;
	color:black;
	margin:2em;
}

h1 {
	text-decoration: underline red;
	text-decoration-thickness: 3px;
	text-underline-offset: 6px;
	font-size: 220%;
	font-weight: bold;
}

h2 {
	font-weight: bold;
	color: #005A9C;
	font-size: 140%;
	text-transform: uppercase;
}

red {
	color: red;
}

#controls {
  display: flex;
  margin-top: 2rem;
  max-width: 28em;
} 

button {
  flex-grow: 1;
  height: 3rem;
  min-width: 10rem;
  border: none;
  border-radius: 0.15rem;
  margin-left: 2px;
  box-shadow: inset 0 -0.15rem 0 rgba(0, 0, 0, 0.2);
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  color:#ffffff;
  font-weight: bold;
  font-size: 1rem;
}

.red {
  background: #ed341d;
}

.green {
  background: #0d7b21;
}

.red:hover, .red:focus {
  outline: none;
  background: #c72d1c;
}

.green:hover, .green:focus {
  outline: none;
  background: #0f8625;
}

button::-moz-focus-inner {
  border: 0;
}

button:active {
  box-shadow: inset 0 1px 0 rgba(0, 0, 0, 0.2);
  line-height: 3rem;
}

button:disabled {
  pointer-events: none;
  background: lightgray;
}
button:first-child {
  margin-left: 0;
}

audio {
  display: block;
  /* width: 100%; */
  margin-top: 0.2rem;
}

#formats {
  margin-top: 0.5rem;
  font-size: 80%;
}

#recordingsList{
	max-width: 28em;
}

.text {
    border-radius: 25px;
    padding: 10px;
    background-color: #f0f0f0;
}

.text p {
  margin:0px
}

.text .intent {
  border-radius: 25px;
  background-color: lightgreen;
  padding-left: 10px;
}


/* Chat */

.mesgs {
  float: left;
  padding: 30px 15px 0 25px;
  width: 60%;
}

.msg_history {
  height: 450px;
  overflow-y: auto;
}


.received_msg {
  display: inline-block;
  padding: 0 0 0 10px;
  vertical-align: top;
  width: 92%;
 }

.received_withd_msg p {
  background: #ebebeb none repeat scroll 0 0;
  border-radius: 3px;
  color: #646464;
  font-size: 14px;
  margin: 0;
  padding: 5px 10px 5px 12px;
  width: 100%;
}

.received_withd_msg { width: 80%;}



.outgoing_msg{ overflow:hidden; margin:26px 0 26px;}

.sent_msg {
  float: right;
  /* width: 46%; */
}

.sent_msg p {
  background: #05728f none repeat scroll 0 0;
  border-radius: 3px;
  font-size: 14px;
  margin: 0; color:#fff;
  padding: 5px 10px 5px 12px;
  width:100%;
}

.time_date {
  color: #747474;
  display: block;
  font-size: 12px;
  margin: 8px 0 0;
}